package com.hzya.frame.sys.flow.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 流程步骤账户表(SysFlowStepAccount)实体类
 *
 * @author xiang2lin
 * @since 2025-04-29 10:16:27
 */
public class SysFlowStepAccountEntity extends BaseEntity {

    //流程id
    private String flowId;
    //流程步骤id
    private String stepId;
    //应用id
    private String appId;
  /**  账户名称 */
   private String name;
  /**  ip地址 */
   private String ipAddress;
  /**  端口 */
   private String port;
  /**  数据库名称 */
   private String dbName;
  /**  用户名 */
   private String userName;
  /**  密码 */
   private String password;
  /**  数据库类型 */
   private String dbType;
  /**  应用key */
   private String appKey;
  /**  应用密钥 */
   private String appSecret;
  /**  企业id */
   private String corpid;
  /**  应用id */
   private String agentid;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getDbType() {
        return dbType;
    }

    public void setDbType(String dbType) {
        this.dbType = dbType;
    }

    public String getAppKey() {
        return appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public String getCorpid() {
        return corpid;
    }

    public void setCorpid(String corpid) {
        this.corpid = corpid;
    }

    public String getAgentid() {
        return agentid;
    }

    public void setAgentid(String agentid) {
        this.agentid = agentid;
    }

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId;
    }

    public String getStepId() {
        return stepId;
    }

    public void setStepId(String stepId) {
        this.stepId = stepId;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }
}

